×
INDI Library v1.8.5 Released (19 Apr 2020)

April 2020 release of INDI Library v1.8.5 introduces new drivers while providing fixes and improvements to existing devices and core framework.

Astroberry Server 2.0.1 is available now!

3 months 3 weeks ago
Kaczorek
Moderator
Moderator
Posts: 896
Karma: 6
More
Topic Author
Astroberry Server 2.0.1 is available now! #49599
PHD2 v2.6.7 has been just pushed to astroberry software repository. You can get the latest version by running regular apt update && apt upgrade

--
Radek Kaczorek
Astroberry Server | NEQ6 | Atik 460EX | Atik EFW2 | ASI 120MM
The following user(s) said Thank You TomAstro, limburg11, gilesco

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
gilesco
Expert Boarder
Expert Boarder
Posts: 95
Karma: 1
More
Astroberry Server 2.0.1 is available now! #49602

Kaczorek wrote: PHD2 v2.6.7 has been just pushed to astroberry software repository. You can get the latest version by running regular apt update && apt upgrade


That's good.

Query though, is there a reason that apt-file doesn't find the package that provides a particular file:
astroberry@indi:~ $ sudo apt-file search "/usr/bin/phd2.bin"
astroberry@indi:~ $

I normally use apt-file to find packages that provide a particular file.

__
I blog my progress: www.coochey.net

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
Kaczorek
Moderator
Moderator
Posts: 896
Karma: 6
More
Topic Author
Astroberry Server 2.0.1 is available now! #49603
It is apt-file question, not astroberry related. Maybe run the query without path i.e. apt-file search phd2.bin or update the cache sudo apt-file update

--
Radek Kaczorek
Astroberry Server | NEQ6 | Atik 460EX | Atik EFW2 | ASI 120MM
The following user(s) said Thank You gilesco

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
gilesco
Expert Boarder
Expert Boarder
Posts: 95
Karma: 1
More
Astroberry Server 2.0.1 is available now! #49604

Kaczorek wrote: It is apt-file question, not astroberry related. Maybe run the query without path i.e. apt-file search phd2.bin or update the cache sudo apt-file update


True, I have tried all those, also tried "--substring-match" option, without any joy.

Was just wondering whether it requires a file manifest or filelist file to be present in the repository.

__
I blog my progress: www.coochey.net

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
gilesco
Expert Boarder
Expert Boarder
Posts: 95
Karma: 1
More
Astroberry Server 2.0.1 is available now! #49605
Quick search, it appears apt repositories can have a "Contents" file ( wiki.debian.org/DebianRepository/Format#A.22Contents.22_indices ).

But if they don't then apt-file won't return results for that repo.

From Man page for apt-file:

BUGS, QUIRKS
...

· Not all APT repositories have Contents files. Notably common install media (CDs etc.)
may omit them to conserve space.
...

But, as you say, it's a apt-file issue, it's up to the maintainer to provide a Contents file (or not).

All clear now though.

__
I blog my progress: www.coochey.net

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
Kaczorek
Moderator
Moderator
Posts: 896
Karma: 6
More
Topic Author
Astroberry Server 2.0.1 is available now! #49614
Good point! Thanks for suggestion. Now the repository provides Contents index. This allows to find packages that provide a particular file, using apt-file.
Run "sudo apt update" to refresh index files and try "apt-file search" again.

--
Radek Kaczorek
Astroberry Server | NEQ6 | Atik 460EX | Atik EFW2 | ASI 120MM
The following user(s) said Thank You gilesco

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
gilesco
Expert Boarder
Expert Boarder
Posts: 95
Karma: 1
More
Astroberry Server 2.0.1 is available now! #49627

Kaczorek wrote: Good point! Thanks for suggestion. Now the repository provides Contents index. This allows to find packages that provide a particular file, using apt-file.
Run "sudo apt update" to refresh index files and try "apt-file search" again.


Your repo fu works:
astroberry@indi:~ $ sudo apt-file search "/usr/bin/phd2"
phd2: /usr/bin/phd2                       
phd2: /usr/bin/phd2.bin
astroberry@indi:~ $

__
I blog my progress: www.coochey.net

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
TomAstro
Gold Boarder
Gold Boarder
Posts: 181
More
Astroberry Server 2.0.1 is available now! #49635

Kaczorek wrote: PHD2 v2.6.7 has been just pushed to astroberry software repository. You can get the latest version by running regular apt update && apt upgrade


Any idea about QHYCCD connection issue? Thanks.

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
sonny486
Fresh Boarder
Fresh Boarder
Posts: 19
More
Astroberry Server 2.0.1 is available now! #49636
Yes, I cannot connect to my QHY163M anymore. just in the last update, it worked fine before.

-Sonny
The following user(s) said Thank You TomAstro

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
TomAstro
Gold Boarder
Gold Boarder
Posts: 181
More
Astroberry Server 2.0.1 is available now! #49637

sonny486 wrote: Yes, I cannot connect to my QHY163M anymore. just in the last update, it worked fine before.

-Sonny


So confirmed QHYCCD now having issue with Raspbian OS. :(

Jasem found out Fxload in debian is very old. So, he updated the fxload on his SM OS 1.5.0 and qhyccd works now. Maybe he does other things as well, we do not know.

Thanks.
The following user(s) said Thank You sonny486

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
sonny486
Fresh Boarder
Fresh Boarder
Posts: 19
More
Astroberry Server 2.0.1 is available now! #49647
Thank you.

SM is stellarmate I assume. and Yes QHY works on SM, but not on astroberry.

Please Log in or Create an account to join the conversation.

3 months 3 weeks ago
TomAstro
Gold Boarder
Gold Boarder
Posts: 181
More
Astroberry Server 2.0.1 is available now! #49648
Yes. SM is Stellarmate. Not only that, AstroPi3 script also having this issue as well. Meaning that update from the github also faile to bring qhy camera up.

Please Log in or Create an account to join the conversation.

Moderators: Kaczorek
Time to create page: 0.433 seconds